### Function

# FwupdPlugin input_stream_compute_checksum

since: 2.0.0

#### Declaration [src]

    gchar*
    fu_input_stream_compute_checksum (
      GInputStream* stream,
      GChecksumType checksum_type,
      GError** error
    )

#### Description [src]

Generates the checksum of the entire stream.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`checksum_type`

  Type: `GChecksumType`

  A `GChecksumType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The hexadecimal representation of the checksum, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.